summaryrefslogtreecommitdiff
path: root/libraries/libmp3splt/libmp3splt.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/libmp3splt/libmp3splt.SlackBuild')
-rw-r--r--libraries/libmp3splt/libmp3splt.SlackBuild11
1 files changed, 7 insertions, 4 deletions
diff --git a/libraries/libmp3splt/libmp3splt.SlackBuild b/libraries/libmp3splt/libmp3splt.SlackBuild
index 8d69e444e1..bb468070f7 100644
--- a/libraries/libmp3splt/libmp3splt.SlackBuild
+++ b/libraries/libmp3splt/libmp3splt.SlackBuild
@@ -5,7 +5,7 @@
# Written by Roberto Neri <rneri@libero.it>
PRGNAM=libmp3splt
-VERSION=${VERSION:-0.5.2}
+VERSION=${VERSION:-0.5.4}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -42,14 +42,17 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
- --disable-static
+ --disable-static \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION